#include <SimpleMessageSystem.h> 

void setup()
{

 /* this works
  pinMode(7, INPUT); //Sets the state of the pin to an output
  pinMode(8, INPUT); //Sets the state of the pin to an output
  pinMode(9, OUTPUT); //Sets the state of the pin to an output
  pinMode(10, OUTPUT); //Sets the state of the pin to an output
  pinMode(11, OUTPUT); //Sets the state of the pin to an output
  pinMode(12, OUTPUT); //Sets the state of the pin to an output
  pinMode(13, OUTPUT); //Sets the state of the pin to an output
  */
  
  Serial.begin(57600);
 // t = 0;
}

void loop()
{

  if (messageBuild() > 0) { // Checks to see if the message is complete and erases any previous messages
    switch (messageGetChar()) { // Gets the first word as a character
    case 'o':
      writeOutAll();
      break;

    case 'i':
      getInAll();
      break;

    }
  }

}


void writeOutAll(){
  analogWrite(9, messageGetInt()); //Sets the PWM of the pin 
  analogWrite(10, messageGetInt()); //Sets the PWM of the pin 
  analogWrite(11, messageGetInt()); //Sets the PWM of the pin 
  analogWrite(3, messageGetInt()); //Sets the PWM of the pin 
  analogWrite(5, messageGetInt()); //Sets the PWM of the pin 
  analogWrite(6, messageGetInt()); //Sets the PWM of the pin 
  digitalWrite(2, messageGetInt()); //Sets the PWM of the pin 
  digitalWrite(4, messageGetInt()); //Sets the PWM of the pin 
}

void getInAll(){
    for (int i=0;i<8;i++) {
    messageSendInt(analogRead(i)); // Read pins 0 to 5
  }

  for (int i=7;i<14;i++) {
    messageSendInt(1023 * (1 - digitalRead(i))); // Read pins 2 to 13
  }  
  messageEnd();
}
